System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The abstract class and its concrete derived classes generate client proxy code or abstract server code according to a specified communication protocol. provides common functionality regardless of the protocol. Within a given protocol, a concrete derived class generates a class for each supported binding defined in a Web Services Description Language (WSDL) document. Typically, instead of directly invoking classes derived from , a developer uses these classes indirectly through the class.

Provides common functionality across communication protocols for generating classes for Web services.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.XmlSchemas a To be added

  Gets the abstract XML schemas used by the associated instance.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method also adds the warning messages to a collection of code comments.

  For each unhandled extension or XML element in the input extensions collection, turns on a or warning for each unhandled extension or XML element in the input extensions collection.

  A that specifies the collection of code comments to which each warning message is added. A that specifies the extensions or XML elements for which warnings should be generated if they are not handled. 1.0.5000.0 2.0.0.0
- Method
  System.CodeDom.CodeTypeDeclaration

  When generating a class for a given binding, the class calls the method before generating methods that correspond to operations.

  When overridden in a derived class, initializes the generation of a binding class.

  The generated class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When generating code, the class calls the method before generating classes that represent bindings.

  When overridden in a derived class, performs namespace-wide initialization during code generation.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.Binding To be added: an object of type 'Binding' To be added

  Gets the Web Services Description Language (WSDL) binding that the protocol importer is currently processing to generate a class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the binding class that is currently being generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.CodeIdentifiers a To be added

  Gets the object that generates a unique name for the binding class that is currently being generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.CodeDom.CodeNamespace a To be added

  Gets a representation of the .NET Framework namespace of the binding classes that are being generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.CodeDom.CodeTypeDeclaration a To be added

  Gets a representation of the binding class that is currently being generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.XmlSchemas a To be added

  Gets the concrete XML schemas used by the associated instance.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When generating a class for a given binding, the class calls the method after generating methods that correspond to operations.

  When overridden in a derived class, processes a binding class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  When generating code, the class calls the method after generating classes that represent bindings.

  When overridden in a derived class, performs processing for an entire namespace.

  1.0.5000.0
  2.0.0.0
- Method
  System.CodeDom.CodeMemberMethod

  When generating code, the class calls the method for each binding class method that represents an operation.

  When overridden in a derived class, generates method code for binding classes.

  The generated method.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.Message To be added: an object of type 'Message' To be added

  Gets the Web Services Description Language (WSDL) input message for the abstract operation that the protocol importer is currently processing to generate a method in a binding class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean

  When generating code, the class calls the method to determine whether to generate a class for the current binding, as represented by the property.

  When overridden in a derived class, determines whether a class can be generated for the current binding.

  True if the binding is supported; otherwise false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  When generating code, the class calls the method to determine whether to generate a method for the current operation, as represented by the property. This evaluation takes place for each operation in a binding for which a class is being generated. If a false value is returned, the class calls its method.

  For more information, see the property. The property is of type .

  When overridden in a derived class, determines whether the current operation's operation flow is supported.

  True if the current operation's operation flow is supported.

  An enumeration value that represents a transmission pattern. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the binding class method which that the protocol importer is currently generating.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.Operation To be added: an object of type 'Operation'

  The operation appears as a child of the element in a WSDL document. The method is generated with a class.

  Gets the abstract Web Services Description Language (WSDL) operation that the protocol importer is currently processing to generate a method in a binding class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.OperationBinding To be added: an object of type 'OperationBinding'

  The method is generated with a class.

  Gets the Web Services Description Language (WSDL) operation binding that the protocol importer is currently processing to generate a method in a binding class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Exception `` To be added

  Produces an Exception indicating that the current instance for which a binding class is being generated is invalid within the target namespace.

  An Exception indicating that the current instance for which a binding class is being generated is invalid within the target namespace.

  Annotation to be added to the exception message, which already indicates that the operation binding syntax is invalid. 1.0.5000.0 2.0.0.0
- Method
  System.Exception `` To be added

  Produces an Exception indicating that the current instance for which a binding class is being generated is invalid within the target namespace.

  An Exception indicating that the current instance for which a binding class is being generated is invalid within the target namespace.

  Annotation to be added to the exception message, which already indicates that the operation syntax is invalid. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.Message To be added: an object of type 'Message' To be added

  Gets the Web Services Description Language (WSDL) output message for the abstract operation that the protocol importer is currently processing to generate a method in a binding class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.Port To be added: an object of type 'Port' To be added

  Gets a Web Services Description Language (WSDL) port that contains a reference to the binding that the protocol importer is currently processing to generate a binding class. If more than one port refers to the current binding, the current port is the one in which the binding has most recently been found.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.PortType To be added: an object of type 'PortType' To be added

  Gets the Web Services Description Language (WSDL) that is implemented by the binding that the protocol importer is currently processing to generate a binding class.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Abstract property that concrete derived classes must implement to get the name of the protocol being used.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.Serialization.XmlSchemas a To be added

  Gets all the XML schemas, both abstract and concrete, used by the associated instance.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.Service To be added: an object of type 'Service' To be added

  Gets the Web Services Description Language (WSDL) service that contains a reference to the binding that the protocol importer is currently processing to generate a binding class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionCollection To be added: an object of type 'ServiceDescriptionCollection' To be added

  Gets the objects that belong to the associated instance that are searched for bindings from which to generate binding classes.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionImportStyle To be added: an object of type 'ServiceDescriptionImportStyle' To be added

  Gets an enumeration value that indicates whether a client proxy class or an abstract server class is being generated. The values are Client and Server. The value is that of the associated instance's property.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Turns on an warning in the enumeration obtained through the property. This method also adds a warning message to the comments for the class that is being generated.

  Annotation to be added to the warning message, which already indicates that the binding has been ignored. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Turns on an warning in the enumeration obtained through the property. This method also adds a warning message to the comments for the class that is being generated.

  Annotation to be added to the warning message, which already indicates that the operation binding has been ignored. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Turns on an warning in the enumeration obtained through the property. This method also adds a warning message to the comments for the class that is being generated.

  Annotation to be added to the warning message, which already indicates that the operation binding has been ignored. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionImportWarnings To be added: an object of type 'ServiceDescriptionImportWarnings' To be added

  Gets or sets a enumeration value that indicates the types of warnings, if any, issued by the protocol importer while generating binding classes.

  1.0.5000.0
  2.0.0.0